// Vertex Shader  file "shadername.vert"

#version 330 core

uniform mat4 PVM_mat;

uniform mat4 proj_mat;
uniform mat4 view_mat;
uniform float time;

in vec4 in_position;

out vec4 position;

void main(void)
{
	vec4 outPos = proj_mat * view_mat * vec4(in_position.xyz, 1.0);
	
	gl_Position = outPos;	
	
}
